
% simulazione del modello del pendolo
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global h;
global L;

Tfin=10; 
x0=[-pi+0.05 0];
h=1;  % con attrito
h=5;  % con attrito maggiore
% h=0;  x0=[pi/4 0]; % senza attrito
L=1;

opt=odeset('RelTol',1E-8,'AbsTol',1E-8);

[tempo,x] = ode45('modello_pendolo',[0 Tfin],x0,opt);

% posizioni nel piano
x1=L*sin(x(:,1));
y1=L*(1-cos(x(:,1)));
xcerniera=zeros(length(x1),1);
ycerniera=L*ones(length(x1),1);

%%%%% POSIZIONE DELLA MASSA NEL TEMPO %%%%%
figure(1); 
subplot(2,1,1);plot(tempo,x1);
% axis([0 30 L L]);
xlabel('tempo'); ylabel('x');
ax = gca;
ax.FontSize=15;
subplot(2,1,2);plot(tempo,y1);
% axis([0 30 L L]);
xlabel('tempo'); ylabel('y');
ax = gca;
ax.FontSize=15;
pause;

%%%%% ANIMAZIONE %%%%%
figure(2); hold on;
axis([-L L 0 2*L]);
axis square;
tmp=1;
for k = 2:floor(tmp*length(x1))
    plot([xcerniera(k) x1(k)],[ycerniera(k) y1(k)],'k')
         plot(xcerniera(k),ycerniera(k),'b.','MarkerSize',10)
         plot(x1(k),y1(k),'r.','MarkerSize',10)
    plot([xcerniera(k-1) x1(k-1)],[ycerniera(k-1) y1(k-1)],'w')
         plot(x1(k-1),y1(k-1),'w.','MarkerSize',10)
    plot([xcerniera(k) x1(k)],[ycerniera(k) y1(k)],'k')
         plot(x1(k),y1(k),'r.','MarkerSize',10)
    pause(0.001);
    if k==2
        pause
    end
end
